<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.dromara.knowledge.mapper.KnowledgePromptTemplateMapper">

    <resultMap type="org.dromara.knowledge.domain.KnowledgePromptTemplate" id="KnowledgePromptTemplateResult">
        <result property="id" column="id"/>
        <result property="templateName" column="template_name"/>
        <result property="templateContent" column="template_content"/>
        <result property="category" column="category"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="remark" column="remark"/>
        <result property="delFlag" column="del_flag"/>
    </resultMap>

    <sql id="selectKnowledgePromptTemplateVo">
        select id,
               template_name,
               template_content,
               category,
               create_by,
               create_time,
               update_by,
               update_time,
               remark,
               del_flag
        from knowledge_prompt_template
    </sql>

</mapper>